/* YOODA : Yet another Object Oriented Database
   Copyright (C) 1994  Eric Abecassis

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free
Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */


/*****************************************************************************
******************************************************************************
**                                                                            
**        Y     Y   OOOO    OOOO   DDDDD     AA
**         Y   Y   O    O  O    O  D    D   A  A
**          Y Y    O    O  O    O  D    D  A    A 
**           Y     O    O  O    O  D    D  AAAAAA
**           Y     O    O  O    O  D    D  A    A
**           Y      OOOO    OOOO   DDDDD   A    A
**
******************************************************************************
******************************************************************************/
/*****************************************************************************
*
*  MODULE :             Global variables
*  SCOPE :              Global variables
*  FILE :               var.h
*  AUTHORS :            E. Abecassis
*  CREATION DATE :      August 1, 1993
*  COPYRIGHTS :        (C) E. Abecassis, 1993
*  HISTORY :
*
******************************************************************************/

#ifndef __var_H
#define __var_H

/* IMPORTS *******************************************************************/

#ifndef __sockrpc_HXX
#include "sockrpc.hxx"
#endif

#ifndef __class_HXX
#include "class.hxx"
#endif

#ifndef __config_H
#include "config.h"
#endif

/*****************************************************************************/

#ifdef __GLOBAL_DEFINITION__
#define EXTERN(x) x
#define EXTERN_INIT(x ,y) x = y
#else
#define EXTERN(x) extern x
#define EXTERN_INIT(x ,y) extern x
#endif

extern void (*YOO_TabRefresh[]) (void*) ;
extern int YOO_LastClassId ;

EXTERN(char YOO_CallbackName[256]) ;
EXTERN(proxy(CallbackClient)* YOO_Callback) ;
EXTERN(DBServer* YOO_DBServer) ;
EXTERN(VirtualDBServer* YOO_VirtualServer) ;
EXTERN(VirtualDBMemory* YOO_VirtualMemory) ;
EXTERN_INIT(int YOO_MAX_FREE_TO_ALLOC, SLOT_IN_PG / 2) ;
EXTERN_INIT(char* YOO_VOL_DIR, NULL) ;
EXTERN(char* YOO_SYSTEM_DIR) ;
EXTERN_INIT(char* YOO_SCH_DIR, NULL) ;
EXTERN(char* YOODA_BASE) ;
EXTERN(char* YOODA_HOME) ;
EXTERN(char* YOO_VOL_FILE) ;
EXTERN(char* YOO_VM_DIR) ;
EXTERN_INIT(int YOO_VM_SIZE, 4096) ;
EXTERN_INIT(int YOO_NO_WAIT, 1) ;
EXTERN_INIT(int YOO_LOCK_TIMEOUT, 10) ;
EXTERN_INIT(int YOO_RECV_PHASE, FALSE) ;
EXTERN_INIT(int YOO_LOAD_TIME, FALSE) ;
EXTERN_INIT(int YOO_NUM_TRANS, 4) ;
EXTERN_INIT(int YOO_STAT, FALSE) ;
EXTERN_INIT(Page* YOO_CURR_PAGE, NULL) ;


#endif
